using System;
using System.Collections;
using System.Collections.Generic;



class HelloWorld
{ 
    

    static void Main()
    { 
        int t = int.Parse(Console.ReadLine());
        List<string> odg = new List<string>();
        for (int i = 0; i < t; i++)
        {
            string [] s=Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int k = int.Parse(s[2]);
            int p = n / k;
            m -= ((p + 1) * (p / 2)) * k;
            m -= (n % k) * (p + 1);
            if (m >= 0) odg.Add("Tak"); else odg.Add("Nie");
        }
        foreach(string p in odg) Console.WriteLine(p);
    }
}